Saltar al contenido principal
DELETE
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
Eliminar el enterprise blueprint (eliminación lógica)
curl --request DELETE \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Permisos

Requiere un usuario de servicio con el permiso ManageAccountSnapshots en el nivel Enterprise.

Comportamiento

Elimina lógicamente el blueprint empresarial.

Autorizaciones

Authorization
string
header
requerido

Credencial de usuario de servicio (prefijo: cog_)

Parámetros de ruta

blueprint_id
string
requerido

Respuesta

Respuesta satisfactoria